function inicializar02(){
	//console.log(2);
	$("#TiposExpedientes_feedback").rup_feedback({
		fadeSpeed: 600,
		block:false
	});	
	//console.log(21);
	//Combo multiselección Servicios para posterior búsqueda
	$("#cserv02_filter_table").rup_combo(
	{
		source: "../aa21b15s01/comboServiciosResponsables",
		sourceParam : {
			label : idioma == 'es' ? "DServ13"
					: "EServ13",
			value : "CServ13"
		},
		width : 280,
		showValue: true,
	token: " - ",
//		multiselect : true,
//		multiOptgroupIconText : true,
		submitAsString : true,
		filterMultiple:true,//Iker, añadido para que en combos múltiples en el filtro aparezcan todos los nombres seleccionados
		disabled:true,
		selected:$("#cserv13_filter_table").val()
	});
	//console.log(22);
	$("#cserv02_filter_table").on("change",function(event) {
		setTimeout(function() {
			$("#TiposExpedientes").rup_table("setSelection", $("#TiposExpedientes").rup_table("getSelectedRows"), false);
			if($("#cserv02_filter_table").val() != null){
				$("#TiposExpedientes_filter_filterButton").click();
			}else{
				$("#TiposExpedientes").rup_table("clearGridData");
			}	
		}, 100);
		
	});
	//console.log(23);
	//Combo situación en pantalla búsqueda
	$("#situ02_filter_table").rup_combo({
		source:[
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.todas, value:""},
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.alta, value:"A"},
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.baja, value:"B"}
		],
		sourceParam:{},
		ordered: false,
		method: 'GET',
		style: "dropdown",
	
		onLoadSuccess: function(){
			$("#situ02_filter_table").rup_combo("selectLabel", $("situ02_filter_table").val());
		}
	});
	//console.log(24);
	//Ponemos por defecto el filtro de búsqueda en situación Alta
	$("#situ02_filter_table").rup_combo("select","A");
	
	//Combo situación en pantalla búsqueda
	$("#ctrami02_filter_table").rup_combo({
		source:[
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.todas, value:""},
		        {i18nCaption:$.rup.i18n.app.comun.si, value:"1"},
		        {i18nCaption:$.rup.i18n.app.comun.no, value:"2"}
		],
		sourceParam:{},
		ordered: false,
		method: 'GET',
		style: "dropdown",
		selected:1,
		onLoadSuccess: function(){
			$("#ctrami02_filter_table").rup_combo("selectLabel", $("ctrami02_filter_table").val());
		}
	});
	//console.log(25);
	//Combo tipos expedientes detalle
	$("#cserv02_detail_table").rup_combo(
	{
		source: "../aa21b13s01/comboServicios",
		sourceParam : {
			label : idioma == 'es' ? "DServ13"
					: "EServ13",
			value : "CServ13"
		},
		width : "500",
		blank: "",
		selected:""
	});
	
	//Tabla grid tipos expedientes
	$("#TiposExpedientes").rup_table({
		rowNum:20,
		url: "../aa21b02s01",
		closeAfterAdd:true,
		closeAfterEdit:true,
		
		colNames: [
		    "id",
			$.rup.i18n.app.aa21b02s01.ctipoe02,
			$.rup.i18n.app.aa21b02s01.abrev,
			$.rup.i18n.app.aa21b02s01.ctrami02,
			$.rup.i18n.app.aa21b02s01.ctrami02,
			$.rup.i18n.app.aa21b02s01.dtipoe02,
			$.rup.i18n.app.aa21b02s01.etipoe02,
			$.rup.i18n.app.aa21b02s01.situ02,
		],
		colModel: [
		    { 	
		    	name: "idTipo", 
 				label: "id",
				hidden: true 
			},
			{ 	name: "cserv02", 
			 	label: $.rup.i18n.app.aa21b02s01.cserv02,
				hidden: true 
			},
			{ 	name: "ctipoe02", 
			 	label: $.rup.i18n.app.aa21b02s01.ctipoe02,
				align: "left", 
				width: 75, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "ctrami02", 
			 	label: $.rup.i18n.app.aa21b02s01.ctrami02,
				align: "center",
				resizable: false,
				width: 75,
				editable: false, 
				sortable: true,
				formatter :
		    		 masiveIconFormatter = function(cellval, el, opts) 
		    		 {
		    		 	//cellval = "descFichero";
		    		 	var html = '';
		    		 	var src = $.rup.APP_STATICS + "/images/accept.png"; // dirección de correo
		    		 	if (cellval && cellval == '1'){
		    		 		html = '<img src='+src+' title="'+$.rup.i18n.app.aa21b02s01.ctrami02+'" >';
		    		 	}
		    		 	return html;
		    		 }
			},
			{ 	name: "ctrami02", 
			 	label: $.rup.i18n.app.aa21b02s01.ctrami02,
				editable:true,
				hidden:true
			},
			{ 	name: "dtipoe02",
			 	label: $.rup.i18n.app.aa21b02s01.gtipoe02,
				align: "left", 
				width: 250, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "etipoe02", 
			 	label: $.rup.i18n.app.aa21b02s01.etipoe02,
				align: "left", 
				width: 250, 
				editable: true, 
				fixed: false, 
				hidden:  false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "situ02", 
			 	label: $.rup.i18n.app.aa21b02s01.situ02,
				align: "left", 
				width: 100, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			}
        ],

        model:"Aa21b02s01",
        usePlugins:[
            "formEdit",
        	"feedback",
			"toolbar",
        	"contextMenu",
        	"fluid",
        	"filter",
        	"multiselection"
         	],
		primaryKey: "idTipo",
		multiplePkToken:";",
		sortname:  $.rup.lang=="es"?"situ02,dtipoe02":"situ02,etipoe02",
		sortorder: "asc",
		loadOnStartUp: false,
		loadComplete:fncTableCompleteTiposExpedientes,

		toolbar:{
			newButtons:[
			    {
			    	id:"detalle",
			    	obj: {id:"detalle",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.detalle, css: "detalle"},
			    	ocultar:true,
			    	comportamiento:"edit",
			    	click:handlerConsultaTiposExp
			    },
			    {
					id:"cambioEstado",
					obj: {id:"cambioEstado",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.cambioEstado, css: "cambioEstado"},
					ocultar:true,
					comportamiento:"delete",
					click: handlerCambioEstadoTiposExp
				},
			    {
					id:"imprimir",
					obj: {id:"imprimir",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.imprimir, css: "rup-icon rup-icon-print"},
					comportamiento:"add",
					click: function() { handlerImprimirServTipoFase('02'); }
			    },
			    {
			    	id:"excel",
			    	obj: {id:"excel",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.excel, css: "excel"},
					comportamiento:"add",
					click: function() { handlerExcelServTipoFase('02'); }
			    }]
		},
		afterInsertRow : function(rowid, rowdata) {
			pintarFilaSituacion(rowid, rowdata, $(this), "situ02");
		},
        formEdit:{
        	detailForm: "#TiposExpedientes_detail_div",
			fillDataMethod: "clientSide",
	
			addOptions:{
				
				beforeShowForm:function(){

					//Ponemos el titulo en modo añadir y mostramos las marcas de obligatorio
					$("#ui-dialog-title-TiposExpedientes_detail_div").text($.rup.i18nParse($.rup.i18n.app,"mensajesMantGenerales.msjNuevoTipo"));
					$("#labelObligTipos").show();
					$(".asterisco").show();
					
					$("#cserv02_detail_table").rup_combo("enable");
					$("#ctipoe02_detail_table").attr("class","formulario_linea_input");
					
					$("#TiposExpedientes").rup_table("resetForm", $("#TiposExpedientes_detail_form"));
					
					$("#TiposExpedientes_detail_link_cancel").css("display","block");
					$("#ctrami02_detail_table").rup_combo("enable");
					
					$("#divSituacion02").hide();
					$("#situ02_detail_table").val("A");
					
					
					//Pasamos al campo servicio el valor filtrado en la pantalla
					//suponiendo que quiere dar de alta un tipo de ese servicio
					if($("#cserv02_filter_table").val() != null && $("#cserv02_filter_table").val() != ""){
						$("#cserv02_detail_table").rup_combo("select",$("#cserv02_filter_table").val());
						$("#cserv02_detail_table").rup_combo("setRupValue",$("#cserv02_filter_table").val());
					}else{
						$("#cserv02_detail_table").val("");
					}
					
					$("#fieldExpAsocTipos").hide();
					
				},
				reloadAfterSubmit:true,
				width:"750"
			},
			editOptions:{
				beforeShowForm:function(){
					//Cargo expedientes asociados
					cargaAsociadosTipo();
					
					
					$("#cserv02_detail_table").rup_combo("disable");
					$("#ctipoe02_detail_table").attr("class","formulario_linea_input_disabled");
					$("#ctipoe02_detail_table").attr("readonly","readonly");
					$("#divSituacion02").show();
					$("#situ02_detail_table").rup_combo("disable");
					//Si es consulta deshabilitaremos los campos
					if($("#modoDetalleTipos").val() == "C"){
						$("#TiposExpedientes_detail_div :input").attr("readonly","readonly");
						
						$("#ctrami02_detail_table").rup_combo("disable");
						$("#TiposExpedientes_detail_link_cancel").css("display","none");
						
						//Ponemos el titulo en modo modificar y mostramos las marcas de obligatorio
						$("#ui-dialog-title-TiposExpedientes_detail_div").text($.rup.i18nParse($.rup.i18n.base,"rup_grid.view.caption"));
						$("#labelObligTipos").hide();
						$(".asterisco").hide();
						$(".ui-selectmenu-status").css("color","black");
					}else{
						//Ponemos el titulo en modo consulta y ocultamos las marcas de obligatorio
						$("#ui-dialog-title-TiposExpedientes_detail_div").text($.rup.i18nParse($.rup.i18n.base,"rup_grid.edit.editCaption"));
						$("#labelObligTipos").show();
						$(".asterisco").show();
						
						
						$("#TiposExpedientes_detail_div :input").removeAttr("readonly");
						$("#ctrami02_detail_table").rup_combo("enable");
						$("#TiposExpedientes_detail_link_cancel").css("display","block");
					}
					
				},
				reloadAfterSubmit:true,
				width:"750"
			},
			addEditOptions:{
				
				afterShowForm:function(){
					$("#Servicios2_feedback").css("width","94%");
					/**Funcion para que aparezca el botón guardar o no detalle**/
					validacionBotonGuardado('TiposExpedientes');
					
					/**
					 * Hacer que cuando haga click en los botones de navegación recargue
					 * correctamente la validacion del botón guardar y el check tramitable
					 */
					$("#first_TiposExpedientes").on('click', function(){
						validacionBotonGuardado('TiposExpedientes');
					});
					$("#back_TiposExpedientes").on('click', function(){
						validacionBotonGuardado('TiposExpedientes');
					});
					$("#forward_TiposExpedientes").on('click', function(){
						validacionBotonGuardado('TiposExpedientes');
					});
					$("#last_TiposExpedientes").on('click', function(){
						validacionBotonGuardado('TiposExpedientes');
					});
				}	
			},
			deleteOptions:{
				/* INI: BLOQUEO Y DESBLOQUEO */
				afterShowForm:function(){
					$("#Servicios2_feedback").css("width","94%");
					jQuery("#delmodTiposExpedientes").off("dialogclose.bloqueo").on("dialogclose.bloqueo", function() {
						desbloquear(jQuery("#TiposExpedientes"), "aa21b02s01");
						
						
						$("#ctipoe01_filter_table").rup_combo("reload");
						$("#ctipoe01_detail_table").rup_combo("reload");
						$("#FasesExpedientes_filter_filterButton").click();
					});
				}
				/* FIN: BLOQUEO Y DESBLOQUEO */
			},
         	validate:{ 
    			rules:{
    				"cserv02":{
						required: true
    					},
    				"ctipoe02":{
						required: true
    					},
    				"ctrami02":{
						required: true
    					},
    				"dtipoe02":{
						required: true
    					},
    				"etipoe02":{
						required: false
    					},
    				"situ02":{
						required: true
    					}
    				}
    		}
    		
        },
        feedback:{
        	id:"Servicios2_feedback"
        },
        onPaging: function(){
			$("#TiposExpedientes").rup_table("deselectAllRows");
		}
	});
	
	//console.log(26);
	
	/**
	 * Cambio de títulos y textos filtrar
	 */
	$("#TiposExpedientes_filter_toggle_label").text($.rup.i18n.app.comun.critBusq);
	$("#TiposExpedientes_filter_filterButton").val($.rup.i18n.app.comun.buscar);
	
	/* INI: BLOQUEO Y DESBLOQUEO */
	jQuery("#TiposExpedientes").on("rupTable_beforeDeleteRow", function(event, row) {
		//Creo el valor del campo idTipo por medio de la concatenación de los campos clave PK
		$("#idTipo").val($("#cserv02_detail_table").val() + "-" + $("#ctipoe02_detail_table").val());
		return bloquear('edit', $(this), "aa21b02s01", "dserv02");
	});
	jQuery("#TiposExpedientes").on("jqGridAddEditBeforeInitData", function(event, form, oper) {
		if($("#modoDetalleTipos").val() != "C"){
			return bloquear(oper, $(this), "aa21b02s01", "dtipoe02");
		}else{
			return true;
		}	
	});
	//console.log(27);
	jQuery("#TiposExpedientes_detail_div").on("dialogclose", function() {
		if($("#modoDetalleTipos").val() != "C"){
			desbloquear(jQuery("#TiposExpedientes"), "aa21b02s01");
			$("#TiposExpedientes").rup_table("deselectAllRows");
			$("#ctipoe01_filter_table").rup_combo("reload");
			$("#ctipoe01_detail_table").rup_combo("reload");
		}
		$("#modoDetalleTipos").val("");
		$("#TiposExpedientes").rup_table("deselectAllRows");
		$("#ExpAsociadosTipo").rup_table("clearGridData",true);
	});
	
	jQuery(window).bind('beforeunload', function() {
        // Aquí iría la función que desbloquea : 
		if($("#modoDetalleTipos").val() != "C"){
			desbloquear(jQuery("#TiposExpedientes"), "aa21b02s01");
		}	
	});
	/* FIN: BLOQUEO Y DESBLOQUEO */
	//console.log(28);
	
	$("#TiposExpedientes_detail_button_save").on("click", function(event){
		$("#idTipo").val($("#cserv02_detail_table").val() + "-" + $("#ctipoe02_detail_table").val());
	});
	
	/* 
	 * Funciones para controlar si el estado es baja que no pueda editar
	 */
	jQuery("#TiposExpedientes").on("jqGridSelectRow", function(event, form, oper) {
		if(oper){
			if(!todosEnAlta($(this),"situ02")){
				desactivar('TiposExpedientes');
		 	 }
		 	 else{
		 		activar('TiposExpedientes');
		 	 }
		}	
		comprobacionEliminar('TiposExpedientes');
		
		if(!todosNoTramitables($(this),"ctrami02")){
			$("#tabsServiciosTiposFasesExp").rup_tabs("enableTabs",{
				idTab: "tabsServiciosTiposFasesExp",
				position:2
			});
		}else{
			$("#tabsServiciosTiposFasesExp").rup_tabs("disableTabs",{
				idTab: "tabsServiciosTiposFasesExp",
				position:2
			});
		}
	});
	jQuery("#TiposExpedientes").on("rupTable_beforeEditRow", function(event, form, oper) {
		if($("#modoDetalleTipos").val() != "C"){
			return  todosEnAlta($(this),"situ02");
		}else{
			return true;
		}	
	});
	/*
	 * Fin funciones control si estado es baja no pueda editar 
	 */
	
	/* Se llama a la función para refrescar la descripción del servicio al pulsar en los botones de paginación*/
	jQuery("#TiposExpedientes").on("jqGridAddEditAfterClickPgButtons", function(event, form, oper) {
		//Cargo expedientes asociados
		cargaAsociadosTipo();
		return;
	});
	//console.log(29);
	//Combo situación en pantalla detalle
	$("#situ02_detail_table").rup_combo({
		source:[
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.alta, value:"A"},
		        {i18nCaption:$.rup.i18n.app.situ_detail_table.baja, value:"B"}
		],
		sourceParam:{},
		ordered: false,
		blank: "",
		method: 'GET',
		style: "dropdown",
		onLoadSuccess: function(){
			$("#situ02_detail_table").rup_combo("selectLabel", $("situ02_detail_table").val());
		}
	});
	
	//Combo situación en pantalla detalle
	$("#ctrami02_detail_table").rup_combo({
		source:[
		        {i18nCaption:$.rup.i18n.app.comun.si, value:"1"},
		        {i18nCaption:$.rup.i18n.app.comun.no, value:"2"}
		],
		sourceParam:{},
		ordered: false,
		blank: "",
		method: 'GET',
		style: "dropdown",
		onLoadSuccess: function(){
			$("#ctrami02_detail_table").rup_combo("selectLabel", $("ctrami02_detail_table").val());
		}
	});
	//console.log(210);
	/**
	 * Función al hacer doble click en la tabla asociados
	 * muestra un dialog con los datos del expediente en modo Consulta
	 */
	$("#ExpAsociadosTipo").on("jqGridDblClickRow", function(event, form, oper) {
		var posLinea = $("#ExpAsociadosTipo").rup_table("getSelectedLines");
		var refExp = $("#ExpAsociadosTipo").rup_table("getRowData")[posLinea].refExp;
		var idExpAsoc = $("#ExpAsociadosTipo").rup_table("getRowData")[posLinea].idExpe;
		dialogoConsultaEspedientesAsociados.abrirDialogo(idExpAsoc,refExp);
		return false;
	});
	
	$("#ExpAsociadosTipo").on("rupTable_beforeEditRow", function(event, form, oper) {
		return false;
	});
	
	
	//Tabla expedientes asociados al departamento
	$("#ExpAsociadosTipo").rup_table({
		rowNum:6,
		colNames: [
		    $.rup.i18n.app.aa21b20s01.refer20,
		    $.rup.i18n.app.aa21b20s01.refer20,
		    $.rup.i18n.app.aa21b20s01.refer20,
			$.rup.i18n.app.aa21b20s01.cesta20,
			"cserv20",
			"cexpe20",
			"aexpe20",
			"nexpe20",
			"grupo",
			"objeto20"
		],
		colModel: [
		    {  name: "refExp", 
		       label: "refExp",
        	   align: "center", 
        	   width:280, 
        	   editable: true, 
        	   fixed: false, 
        	   hidden: false, 
        	   resizable: false, 
        	   sortable: true
            },
            {   name: "grupo", 
        	   label: "grupo",
        	   hidden: true 
		    },
			{ 	name: "idExpe", 
			 	label: "idExpe",
				align: "left", 
				width: 75, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "cesta20", 
			 	label: "cesta20",
				align: "right", 
				width: 75, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "cserv20", 
	        	label: "cserv20",
	        	hidden: true 
	        },
	        { 	name: "cexpe20", 
	        	   label: "cexpe20",
	        	   hidden: true 
	        },
	        { 	name: "aexpe20", 
	        	   label: "aexpe20",
	        	   hidden: true 
           },
           { 	name: "nexpe20", 
        	   label: "nexpe20",
        	   hidden: true 
           },   
           { 	name: "grupo", 
        	   label: "grupo",
        	   hidden: true 
           },
           {
        	  name: "objeto20",
        	  label: "objeto20",
        	  hidden: true
           },
	        
        ],
        model:"Aa21b20s01",
        usePlugins:[
			"toolbar",
        	"filter",
        	"formEdit",
           	"fluid",
           	"feedback"
         	],
     	filter:{
		},
		afterInsertRow : function(rowid, rowdata) {
			pintarFilaSituacionExpediente(rowid, rowdata, $(this), "cesta20");
			
			/**
			 * Cambiamos el tooltip para que al posicionarse encima de la celda en vez de aparecer el titulo con la referencia
			 * aparezca el objeto
			 */
			var ref = rowdata["refExp"];
			var objeto20 = rowdata["objeto20"];
			$("td[rup_tooltip='" + ref + "'").attr("rup_tooltip",objeto20);
		},
		primaryKey: "idExpe",
		sortname: "faper20",
		sortorder: "asc",
		loadOnStartUp: false,
		loadComplete:fncTableCompleteExpAsociadosTipo,
		toolbar:{
			defaultButtons:{
				   add: false,
				   edit: false,
				   cancel: false,
				   save: false,
				   clone: false,
				   "delete": false
				},
				newButtons:[{
				id:"detalleExpAsociadoUbicacion",
				obj: {i18nCaption:$.rup.i18n.app.botonerasMantGenerales.detalle, css: "rup-icon detalle"},
				click:function(event, form, oper){
					handlerDetalleExpAsociadoTipo();
				}
			}]
		}
	});
	
	//Oculto de la barra de paginación lo que no me interesa de la tabla asociados Depar
	$(".ui-paging-info").hide();
	$(".ui-pg-selbox").hide();
	$("#first_ExpAsociadosTipo_pager").hide();
	$("#last_ExpAsociadosTipo_pager").hide();
	$("#ExpAsociadosTipo_pager_left").hide();
	
	//Ocultamos el botón de clonar
	$("[id='TiposExpedientes_toolbar"+$.rup.i18n.base.rup_maint.clone+"']").css("display","none");
	 
	dialogoConsultaEspedientesAsociados.ocultarElementos();
	dialogoFase.ocultarElementos();
	dialogoHistorico.ocultarElementos();
	dialogoDocumentos.ocultarElementos();
	
	$("#TiposExpedientes").unbind("dblclick");
};



/**
 * Función que añade el icono al cursor para indicar que el botón secundario tiene una función. 
 * También para cambiar el tooltip indicando instrucciones.
 */
function fncTableCompleteTiposExpedientes(e){
	
	
	$('[aria-describedby="TiposExpedientes_cserv02"]').css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
	$('[aria-describedby="TiposExpedientes_ctipoe02"]').css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
	$('[aria-describedby="TiposExpedientes_ctrami02"]').css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
	$('[aria-describedby="TiposExpedientes_dtipoe02"]').css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
	$('[aria-describedby="TiposExpedientes_etipoe02"]').css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
	$('[aria-describedby="TiposExpedientes"]').css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
	
	//Recorremos la tabla comprobando el campo situación. Si es Baja, le asignaremos el color de fondo a rojo
	if (e.rows != undefined && e.rows.length>0){					
		/*for (var i=0; i<e.rows.length; i++) {	
			var fila = e.rows[i];
			if(fila.situ02=="B"){
				$("tr[id='" + fila.cserv02 + "-" + fila.ctipoe02 + "']").attr("class","ui-widget-content jqgrow ui-row-ltr");
				$("tr[id='" + fila.cserv02 + "-" + fila.ctipoe02 + "']").css("font-style","italic");
				$("tr[id='" + fila.cserv02 + "-" + fila.ctipoe02 + "']").css("background","#848484");
			}
		}*/
		
		//Si hay registros, mostramos los botones de Imprimir y de Excel
		$("[id='TiposExpedientes_toolbar##imprimir']").show();
		$("[id='TiposExpedientes_toolbar##excel']").show();
	}else{
		//Si no hay registros, mostramos los botones de Imprimir y de Excel
		$("[id='TiposExpedientes_toolbar##imprimir']").hide();
		$("[id='TiposExpedientes_toolbar##excel']").hide();
	}	
	
	/*$.each ($('[aria-describedby="TiposExpedientes_cserv02"]'), function(index, object){
		$(object).attr("grid_tooltip", "<b>"+$(object).attr("grid_tooltip") + "</b><br/><i>" + $.rup.i18n.app.comun.tooltipMenuContextual)+ "<i/>" ;
		

	});
	
	$.each ($('[aria-describedby="TiposExpedientes_ctipoe02"]'), function(index, object){
		$(object).attr("grid_tooltip", "<b>"+$(object).attr("grid_tooltip") + "</b><br/><i>" + $.rup.i18n.app.comun.tooltipMenuContextual)+ "<i/>" ;
	});
	
	$.each ($('[aria-describedby="TiposExpedientes_ctrami02"]'), function(index, object){
		$(object).attr("grid_tooltip", "<b>"+$(object).attr("grid_tooltip") + "</b><br/><i>" + $.rup.i18n.app.comun.tooltipMenuContextual)+ "<i/>" ;
	});
	
	$.each ($('[aria-describedby="TiposExpedientes_dtipoe02"]'), function(index, object){
		$(object).attr("grid_tooltip", "<b>"+$(object).attr("grid_tooltip") + "</b><br/><i>" + $.rup.i18n.app.comun.tooltipMenuContextual)+ "<i/>" ;
	});
	
	$.each ($('[aria-describedby="TiposExpedientes_etipoe02"]'), function(index, object){
		$(object).attr("grid_tooltip", "<b>"+$(object).attr("grid_tooltip") + "</b><br/><i>" + $.rup.i18n.app.comun.tooltipMenuContextual)+ "<i/>" ;
	});

	$.each ($('[aria-describedby="TiposExpedientes_situ02"]'), function(index, object){
		$(object).attr("grid_tooltip", "<b>"+$(object).attr("grid_tooltip") + "</b><br/><i>" + $.rup.i18n.app.comun.tooltipMenuContextual)+ "<i/>" ;
	});*/
	
	$(".rup-icon-clone").parent().css("display","none");
	
	
}

/**
 * Función para cambiar situación de Alta a Baja y viceversa
 */
function handlerCambioEstadoTiposExp(){
	var registros = [];
	var regBloqueados = [];
	var indiceBloq = 0;
	
	if($("#TiposExpedientes").rup_table("getSelectedRows") != ""){
		
		$.rup_messages("msgConfirm", { 
			title: $.rup.i18n.app.mensajesMantGenerales.titPreguntaConfirmar,
			message: $.rup.i18n.app.mensajesMantGenerales.msjConfirmarCambioSit,
			siNo:true,
			OKFunction: function() {
				   
			   registros = $("#TiposExpedientes").rup_table("getSelectedLines");
			   cambiarEstadoLineaTipoExp(registros);
				   
			   
			   $("#TiposExpedientes").rup_table("filter");
			   $("#TiposExpedientes").rup_table("setSelection", regBloqueados, true);
			}
		});
		
	}else{
		$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjNoRegistro});
	}
};

function cambiarEstadoLineaTipoExp(registros){
	
	for(var i=0;i<registros.length;i++){
		   var indice = registros[i]-1;
		   var exp = $("#TiposExpedientes").rup_table("getRowData")[indice];
		   var codigo = exp.cserv02+"-"+exp.ctipoe02;
		   
		   
		   var noBloqueado = bloquear("change", $("#TiposExpedientes"), "aa21b02s01", "dtipoe02",codigo);
		   if(noBloqueado)
		   {
			   
			   var send = {};
			   send["cserv02"] = exp.cserv02;
			   send["ctipoe02"] = exp.ctipoe02;
			   send["ctrami02"] = exp.ctrami02;
			   send["dtipoe02"] = exp.dtipoe02;
			   send["etipoe02"] = exp.etipoe02;
			   if(exp.situ02 == "Alta"){
				   send["situ02"] = "B";
			   }else if(exp.situ02 == "Baja"){
				   send["situ02"] = "A";
			   }
			   var dt = jQuery.toJSON(send);
			   $.ajax({
				   url: "../aa21b02s01/cambioEstadoTipoExpediente",
				   type: "POST",
				   contentType: "application/json; charset=utf-8",
				   dataType: "json",
				   data: dt,
				   async:false,
				   cache:false,
				   error: callback_error,
				   success: function(data) {
					   desbloquear(jQuery("#TiposExpedientes"), "aa21b02s01");
					   
					   $("#Servicios2_feedback").rup_feedback("option", "delay", defaultDelay);
					   if(registros.length > 1){
						   $("#Servicios2_feedback").rup_feedback("set",$.rup.i18nParse($.rup.i18n.app,"aa21b02s01.cambioEstadoOK"), "ok");
					   }else{
						   $("#Servicios2_feedback").rup_feedback("set",$.rup.i18nParse($.rup.i18n.app,"aa21b02s01.cambioEstadoOK"), "ok");
					   } 
					   $("#Servicios2_feedback").css("width","94%");
					   $("#Servicios2_feedback").rup_feedback("show");
					   $("#TiposExpedientes").rup_table("setSelection", codigo, false);
					   
					   registros = $("#TiposExpedientes").rup_table("getSelectedLines");
					   cambiarEstadoLineaTipoExp(registros);
				   }
			   });
		   }else{
			   regBloqueados[indiceBloq] = codigo;
			   indiceBloq++;
		   }	
	   }
	
};

function callback_error(xhr, ajaxOptions, thrownError){
	 var errorTXT = $.rup.i18nParse($.rup.i18n.base,"rup_maint.validateError"), errors = null, errorKey = null, causedErrors = null, errMsg = "", errorMesg = "";
	 if (xhr.responseText != null && xhr.responseText != "") {	
		 if (xhr.status === 406) {//si ha habido algun error en las validaciones...
			 $("#Servicios2_feedback").rup_feedback("option", "delay", null);
			 $("#Servicios2_feedback").rup_feedback("set",errorTXT + " " + xhr.responseText,"error");
			 $("#Servicios2_feedback").rup_feedback("option", "delay", defaultDelay);
		 } else {
			 $("#Servicios2_feedback").rup_feedback("option", "delay", null);
			 $("#Servicios2_feedback").rup_feedback("set", errorTXT, "error");								
			 $("#Servicios2_feedback").rup_feedback("option", "delay", defaultDelay);
		 }
	 }
}


function limpiarTipos(){
	$("#TiposExpedientes").rup_table("deselectAllRows");
	$("#TiposExpedientes_filter_summary").html("<i></i>");
	$("#TiposExpedientes").rup_table("clearGridData",true);
	$("#TiposExpedientes").rup_table("resetForm", $("#TiposExpedientes_filter_form"));
	$("#cserv02_filter_table").rup_combo("setRupValue",$("#cserv13_filter_table").val());
}

function desactivarTipo(){
	$("[id='TiposExpedientes_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary ui-button-disabled ui-state-disabled");
	$("[id='TiposExpedientes_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",true);
}
function activarTipo(){
	$("[id='TiposExpedientes_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary");
	$("[id='TiposExpedientes_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",false);
}

function handlerConsultaTiposExp(){
	$("#modoDetalleTipos").val("C");
	$("#TiposExpedientes").rup_table("editElement");
}

function cargaAsociadosTipo(){
	$("#ExpAsociadosTipo").rup_table("setGridParam", {url: "../aa21b02s01/obtenerExpedientesTipoServ/" + $("#ctipoe02_detail_table").val()});
	$("#ExpAsociadosTipo").rup_table("filter");
}

/**
 * Función que cambia el color de la línea de registro si el estado de baja 
 */
function fncTableCompleteExpAsociadosTipo(e){
	
	//Recorremos la tabla comprobando el campo situación. Si es Baja, le asignaremos el color de fondo a rojo
	if (e.rows != undefined && e.rows.length>0){	
		$("#fieldExpAsocTipos").show();
		/*for (var i=0; i<e.rows.length; i++) {	
			var fila = e.rows[i];
			if(fila.cesta20=="4"){
				$("tr[id='" + fila.idExpe + "']").attr("class","ui-widget-content jqgrow ui-row-ltr");
				$("tr[id='" + fila.idExpe + "']").css("font-style","italic");
				$("tr[id='" + fila.idExpe + "']").css("background","#848484");
			}
		}*/
	}else{
		$("#fieldExpAsocTipos").hide();
	}	
	
}

function handlerDetalleExpAsociadoTipo(){
	var posLinea = $("#ExpAsociadosTipo").rup_table("getSelectedLines");
	var refExp = $("#ExpAsociadosTipo").rup_table("getRowData")[posLinea].refExp;
	var idExpAsoc = $("#ExpAsociadosTipo").rup_table("getRowData")[posLinea].idExpe;
	dialogoConsultaEspedientesAsociados.abrirDialogo(idExpAsoc,refExp);
}


function todosNoTramitables( migrid,  campoTramitable) {
	var resultado=true;
	//Antes de mostrar el detalle intentamos bloquear las entidades seleccionadas
	var abrirDialogo = true;
	var mensajeNoBloqueados = "";
	var selRows = migrid.rup_table("getSelectedRows");
	var filasADeseleccionar = new Array();
	if (selRows[0] == null) {
		resultado=false;
	} else {
		for (var i=0; i<selRows.length; i++) {
			var codigo=selRows[i];
			var tramitable=migrid.rup_table("getRowData", codigo)[campoTramitable];
			resultado=resultado&&(tramitable=='2');
		}

		
	}

	return resultado;

}